﻿<?xml version="1.0" encoding="UTF-8"?>
<xsl:stylesheet version="2.0"
xmlns:xsl="http://www.w3.org/1999/XSL/Transform"
xmlns:myfunc="http://www.myfunc.com/xslt">

    <xsl:function name="myfunc:datezConvert">
    <xsl:param name="datez"/>

        <xsl:if test="string-length($datez)=13">
        <xsl:value-of select="concat(substring($datez,5,2),'/',substring($datez,3,2),'/','20',substring($datez,1,2),' '
        ,substring($datez,7,2),':',substring($datez,9,2),':',substring($datez,11,2))"/>
        </xsl:if>
        
        <xsl:if test="string-length($datez)=15">
        <xsl:value-of select="concat(substring($datez,7,2),'/',substring($datez,5,2),'/',substring($datez,1,4),' '
        ,substring($datez,9,2),':',substring($datez,11,2),':',substring($datez,13,2))"/>
        </xsl:if>
        
    </xsl:function> 
    
    <xsl:function name="myfunc:currTime">
    <xsl:variable name="curt" select="current-dateTime()"></xsl:variable>
    <xsl:value-of select="concat(substring(string($curt),1,10),' ',substring(string($curt),12,8))"/>
    </xsl:function>
    
    
    <xsl:template match="/">
    <html class="no-js">
    <head>
    <meta charset="utf-8"/>
    <title>_STRINGA00_</title>
    <meta name="description" content="Dike 6 - Verifica firma digitale"/>
    <meta name="viewport" content="width=device-width, initial-scale=1"/>


                <link rel="stylesheet" href="bower_components/bootstrap/dist/css/bootstrap.min.css"  media="all"/>
                <link rel="stylesheet" href="styles/cerulean-magic-bootstrap.css" />
                <link rel="stylesheet" href="styles/main.css" />

            </head>
            <body>

                <div class="container" >
             <div class="row intestazione" >
                <div class="navbar-header">
                    <a class="navbar-brand">
                        <img src="images/common/infocert-footer-logo.png" style="position: absolute; margin-top: -12px; margin-left: -12px;"/>
                        <span style="margin-left: 150px;">_STRINGA01_</span>
                    </a>
                </div>
               
            </div>
            <br/>
            <div class="row" >
                <div class="col-xs-12">
             <b>       <p class="pull-left">_STRINGA02_ <xsl:value-of select="myfunc:currTime()"/> (UTC) </p></b>
                </div>
            </div>
        
               
<hr/>

               
                    
                    <xsl:apply-templates select="/deSign/signedData"></xsl:apply-templates>
                    <xsl:apply-templates select="/deSign/timeStamp"></xsl:apply-templates>
                    
                    <b>_STRINGA03_</b>		
                    
                    <!-- /content -->
</div>
                <!-- footer -->
                <div class="footer">
                <div class="container">
                <p class="logo pull-left" style="margin: 0px">
                <img src="images/dike.png" style="margin-top: -2px; width: 50px;" />
                <span>_STRINGA04_</span>
                </p>
                <p class="market pull-right text-right">
                                <br/>
<a href="https://www.infocert.it/" target="_blank">InfoCert S.p.A.</a> 2020 | P.IVA 07945211006
                </p>
                </div>
                </div>
                <!-- /footer -->
                </body>
                </html>
                </xsl:template>

    
    
 
    
    <xsl:template match="/deSign/signedData">    
    <div class="row">
    <div class="col-xs-12"><b>_STRINGA05_ <xsl:value-of select="@filename"/></b></div>
    </div>
    <br/>

        <div class="row">
        <div class="col-xs-3">_STRINGA06_ </div>

            <div class="col-xs-9">

			<xsl:choose>
				<xsl:when test="/deSign/signedData/esitoerrato !=''">
					<font color="#990000" size="3"> <b><xsl:value-of select="esitoerrato"/></b> </font>
				</xsl:when>
				<xsl:when test="/deSign/timeStamp/esitoerrato !=''">
					<font color="#990000" size="3"> <b><xsl:value-of select="esitoerrato"/></b> </font>
				</xsl:when>
				<xsl:otherwise>
					<xsl:choose>
						<xsl:when test="/deSign/signedData/signer/status = 'OK'">
							<font color="#006600" size="3">    <b>       _STRINGA07_ </b> </font>
						</xsl:when>
						<xsl:otherwise>				
							<xsl:choose>
								<xsl:when test="errorMessage!=''">
									<font color="#990000" size="3"><b><xsl:value-of select="errorMessage"/></b></font>
								</xsl:when>
								<xsl:otherwise>
									<font color="#990000" size="3"><b>_STRINGA08_</b></font>
								</xsl:otherwise>
							</xsl:choose>
						</xsl:otherwise>
					</xsl:choose>
				</xsl:otherwise>
			</xsl:choose>
			</div>
			</div>
        <hr/>
        
        <div class="row">
        <div class="col-xs-12"><b>_STRINGA09_</b></div>
        </div>
        <br/>
        
        <xsl:for-each select="signer">   

            <xsl:call-template name="templSign">
            <xsl:with-param name="indice" > <xsl:value-of select="count(preceding-sibling::signer) + 1" /></xsl:with-param>
            </xsl:call-template>
            
            <xsl:for-each select="countersigner"> 
            
                        <xsl:call-template name="templSign">
                        <xsl:with-param name="indice" select="concat(count(preceding::signer) + 1,'.',count(preceding-sibling::countersigner) + 1)"></xsl:with-param>
                        </xsl:call-template>
                        </xsl:for-each>

            
        </xsl:for-each>    
        
    </xsl:template>
    
    
    <xsl:template name="templSign">       
    <xsl:param name="indice"></xsl:param>
    <div class="row">
    <div class="col-xs-3">_STRINGA10_ <xsl:value-of select="$indice" />:  </div>
    <div class="col-xs-9"><xsl:value-of select="subject/SUR"/>
    <xsl:text> </xsl:text>    <xsl:value-of select="subject/GIVEN"/></div>
    </div>

        <div class="row">
        <div class="col-xs-3">_STRINGA11_ </div>

            <xsl:choose>
            <xsl:when test="status='OK'">
            <!-- Messaggio se OK -->
            <div class="col-xs-9"><font color="#006600"><xsl:value-of select="status"/></font></div>
            </xsl:when>
            <xsl:otherwise>
            <!-- oppure, se KO -->
            <div class="col-xs-9"><font color="#990000"><xsl:value-of select="errorMessage"/></font></div>
            </xsl:otherwise>
            </xsl:choose>
            </div>

		<xsl:choose>
		<xsl:when test="nota0!=''">
		<div class="row">
		<div class="col-xs-12 col-xs-offset-3"><xsl:value-of select="nota0"/></div>
    	</div>   
		</xsl:when>		
		<xsl:otherwise>
		</xsl:otherwise>
        </xsl:choose>
        <xsl:choose>
		<xsl:when test="nota1!=''">
		<div class="row">
		<div class="col-xs-12 col-xs-offset-3"><xsl:value-of select="nota1"/></div>
    	</div>   
		</xsl:when>		
		<xsl:otherwise>
		</xsl:otherwise>
        </xsl:choose>            
        <xsl:choose>
		<xsl:when test="nota2!=''">
		<div class="row">
		<div class="col-xs-12 col-xs-offset-3"><xsl:value-of select="nota2"/></div>
    	</div>   
		</xsl:when>		
		<xsl:otherwise>
		</xsl:otherwise>
        </xsl:choose>			
        <xsl:choose>
		<xsl:when test="nota3!=''">
		<div class="row">
		<div class="col-xs-12 col-xs-offset-3"><xsl:value-of select="nota3"/></div>
    	</div>   
		</xsl:when>		
		<xsl:otherwise>
		</xsl:otherwise>
        </xsl:choose>
        <xsl:choose>
		<xsl:when test="nota4!=''">
		<div class="row">
		<div class="col-xs-12 col-xs-offset-3"><xsl:value-of select="nota4"/></div>
    	</div>   
		</xsl:when>		
		<xsl:otherwise>
		</xsl:otherwise>
        </xsl:choose>            
        <xsl:choose>
		<xsl:when test="nota5!=''">
		<div class="row">
		<div class="col-xs-12 col-xs-offset-3"><xsl:value-of select="nota5"/></div>
    	</div>   
		</xsl:when>		
		<xsl:otherwise>
		</xsl:otherwise>
        </xsl:choose>
        <xsl:choose>
        <xsl:when test="nota6!=''">
        <div class="row">
        <div class="col-xs-12 col-xs-offset-3"><xsl:value-of select="nota6"/></div>
        </div>   
        </xsl:when>     
        <xsl:otherwise>
        </xsl:otherwise>
        </xsl:choose>
        <xsl:choose>
        <xsl:when test="nota7!=''">
        <div class="row">
        <div class="col-xs-12 col-xs-offset-3"><xsl:value-of select="nota7"/></div>
        </div>   
        </xsl:when>     
        <xsl:otherwise>
        </xsl:otherwise>
        </xsl:choose>

		
        <div class="row">
        <div class="col-xs-3">_STRINGA12_</div>
        <div class="col-xs-9">
        <xsl:choose>
        <xsl:when test="ocspThisUpdate!=''">
        _STRINGA13_ <xsl:value-of select="myfunc:datezConvert(ocspThisUpdate)"/>
        </xsl:when>
        <xsl:when test="crlThisUpdate!=''">
        _STRINGA14_ <xsl:value-of select="myfunc:datezConvert(crlThisUpdate)"/>
        </xsl:when>
        <xsl:otherwise>
        _STRINGA15_
        </xsl:otherwise>
        </xsl:choose>
        </div>
        </div>
        
      <hr/>
        
        <div class="row">
        <div class="col-xs-12">_STRINGA16_ <b>
        <xsl:value-of select="subject/SUR"/><xsl:text> </xsl:text>
        <xsl:value-of select="subject/GIVEN"/>:</b></div>
        </div>
        <br/>
        
        <div class="row">
        <div class="col-xs-3 col-xs-offset-1">_STRINGA17_</div>
        <div class="col-xs-8"><xsl:value-of select="subject/GIVEN"/> <xsl:text> </xsl:text>
        <xsl:value-of select="subject/SUR"/>
        </div>
        </div>

 		<xsl:if test="subject/TITLE!=''">
        <div class="row">
        <div class="col-xs-3 col-xs-offset-1">_STRINGA18_</div>
        <div class="col-xs-8">
        <xsl:value-of select="subject/TITLE"/>
        </div>
        </div>
 	    </xsl:if>

 		<xsl:if test="subject/DESCR!=''">
        <div class="row">
        <div class="col-xs-3 col-xs-offset-1">_STRINGA19_</div>
        <div class="col-xs-8">
        <xsl:value-of select="subject/DESCR"/>
        </div>
        </div>
 	    </xsl:if>

 	    <xsl:if test="subject/O!=''">
        <div class="row">
        <div class="col-xs-3 col-xs-offset-1">_STRINGA20_</div>
        <div class="col-xs-8">
        <xsl:value-of select="subject/O"/>
        </div>
        </div>
 	    </xsl:if>

 	    <xsl:if test="subject/OU!=''">
        <div class="row">
        <div class="col-xs-3 col-xs-offset-1">_STRINGA21_</div>
        <div class="col-xs-8">
        <xsl:value-of select="subject/OU"/>
        </div>
        </div>
 	    </xsl:if>

        <div class="row">
        <div class="col-xs-3 col-xs-offset-1">_STRINGA22_</div>
        <div class="col-xs-8">
        <xsl:value-of select="subject/DNQUALIF"/>
        </div>
        </div>

        <div class="row">
        <div class="col-xs-3 col-xs-offset-1">_STRINGA23_</div>
        <div class="col-xs-8">
        <xsl:value-of select="myfunc:datezConvert(certNotAfter)"/>
        </div>
        </div>
        
        <div class="row">
        <div class="col-xs-3 col-xs-offset-1">_STRINGA24_</div>
        <div class="col-xs-8">
        <xsl:value-of select="issuer/CN"/>,
        <xsl:value-of select="issuer/O"/>, <br></br>
        <xsl:value-of select="issuer/OU"/>, <br></br>
        <xsl:value-of select="issuer/SER"/>,
        <xsl:value-of select="issuer/C"/>
        </div>
        </div>
        
        <xsl:if test="policyInformationList/policyInformation/policyQualifierList/policyQualifier/policyQualifierID='1.3.6.1.5.5.7.2.1'">
        <div class="row">
        <div class="col-xs-3  col-xs-offset-1">_STRINGA25_</div>
        <div class="col-xs-8">
        <a>
        <xsl:value-of select="policyInformationList/policyInformation/policyQualifierList/policyQualifier/cpsUri" />
        </a>
	    </div>
        </div>
        </xsl:if>
        
        <xsl:if test="policyInformationList/policyInformation/policyID!=''">
        <xsl:for-each select="policyInformationList/policyInformation">

        <div class="row">
        <div class="col-xs-3  col-xs-offset-1">_STRINGA26_</div>
        <div class="col-xs-8">
        <a>
        OID <xsl:value-of select="policyID" />
        </a>
	    </div>
        </div>
		
		<xsl:if test="policyID='0.4.0.194112.1.3'">	 		
		<div class="row">
        <div class="col-xs-3 col-xs-offset-1"><br></br></div>
		<div class="col-xs-8"><b>_STRINGA47_</b></div>		
		</div>		
     	</xsl:if>
		
    	</xsl:for-each>
        </xsl:if>


        <xsl:if test="policyInformationList/policyInformation/policyQualifierList!=''">
        <xsl:for-each select="policyInformationList/policyInformation/policyQualifierList/policyQualifier">

			<xsl:choose>
            <xsl:when test="explicitText!=''">
        <div class="row">
        <div class="col-xs-3  col-xs-offset-1">_STRINGA27_</div>
        <div class="col-xs-8">
        <a>
       	<xsl:variable name="text" select="explicitText"/>
       	<xsl:variable name="newtext" select="translate($text,'è','e')"/>
       	<xsl:variable name="newtext1" select="translate($newtext,'à','a')"/>
       	<xsl:variable name="newtext2" select="translate($newtext1,'ì','i')"/>
       	<xsl:variable name="newtext3" select="translate($newtext2,'ò','o')"/>
       	<xsl:variable name="newtext4" select="translate($newtext3,'ù','u')"/>

		<xsl:value-of select="$newtext4"/>
		</a>
	    </div>
        </div>
            </xsl:when>
            <xsl:otherwise>
            </xsl:otherwise>
            </xsl:choose>

    	</xsl:for-each>
        </xsl:if>


        <!-- solo se la firma è marcata  -->
        <xsl:if test="signatureTimeStamp!=''">

            <hr/>
            
            <div class="row">
            <div class="col-xs-3 col-xs-offset-1">_STRINGA28_  </div>
            <div class="col-xs-8"><xsl:value-of select="myfunc:datezConvert(signatureTimeStamp/timeStampDate)"/></div>
            </div>
            
            <div class="row">
            <div class="col-xs-3 col-xs-offset-1">_STRINGA29_ </div>
            <xsl:choose>
            <xsl:when test="signatureTimeStamp/status='OK'">
            <!-- Messaggio se OK -->
            <div class="col-xs-8"><font color="#006600"><xsl:value-of select="signatureTimeStamp/status"/></font></div>
            </xsl:when>
            <xsl:otherwise>
            <!-- oppure, se KO -->
            <div class="col-xs-7"><font color="#990000"><xsl:value-of select="signatureTimeStamp/errorMessage"/></font></div>
            </xsl:otherwise>
            </xsl:choose>
            </div>
            
            <div class="row">

                <div class="col-xs-3 col-xs-offset-1">_STRINGA30_</div>
                <div class="col-xs-8">
                <xsl:value-of select="signatureTimeStamp/issuer/CN"/>,
                <xsl:value-of select="signatureTimeStamp/issuer/O"/>,<br></br>
                <xsl:value-of select="signatureTimeStamp/issuer/OU"/>,<br></br>
                <xsl:value-of select="signatureTimeStamp/issuer/SER"/>,
                <xsl:value-of select="signatureTimeStamp/issuer/C"/>
                </div>
                </div>

                        <xsl:if test="signatureTimeStamp/notQualifiedService">
                	        <div class="row">
        <div class="col-xs-3  col-xs-offset-1">_STRINGA31_</div>
        <div class="col-xs-8">_STRINGA32_
	    </div>
        </div>



        </xsl:if>
                <xsl:if test="signatureTimeStamp/qualifiedService">
        <div class="row">
        <div class="col-xs-3  col-xs-offset-1">_STRINGA33_</div>
        <div class="col-xs-8">_STRINGA34_
	    </div>
        </div> 


       </xsl:if>

                </xsl:if>

        <br/>
        <hr/>
                <xsl:if test="pdfDictionary/reason!=''">
        <div class="row">
        <div class="col-xs-3">_STRINGA35_</div>
        <div class="col-xs-9">
        <xsl:value-of select="pdfDictionary/reason"/>
        </div>
        </div>
 	    </xsl:if>
 		<xsl:if test="pdfDictionary/location!=''">
        <div class="row">
        <div class="col-xs-3">_STRINGA36_</div>
        <div class="col-xs-9">
        <xsl:value-of select="pdfDictionary/location"/>
        </div>
        </div>
 	    </xsl:if>
        <br/>
        </xsl:template>

    

    

<xsl:template match="/deSign/timeStamp">    

            
 <xsl:if test="@filename!=''">

  <div class="row">
    <div class="col-xs-12"><b>_STRINGA37_ <xsl:value-of select="@filename"/></b></div>
    </div>
    <br/>
</xsl:if>

<b>_STRINGA38_</b>
<br/><br/>
            <div class="row">
            <div class="col-xs-3 col-xs-offset-1">_STRINGA39_ </div>
            <xsl:choose>
            <xsl:when test="status='OK'">
            <!-- Messaggio se OK -->
            <div class="col-xs-8"><font color="#006600"><xsl:value-of select="status"/></font></div>
            </xsl:when>
            <xsl:otherwise>
            <!-- oppure, se KO -->
            <div class="col-xs-7"><font color="#990000"><xsl:value-of select="errorMessage"/></font></div>
            </xsl:otherwise>
            </xsl:choose>
            </div>
            
            <div class="row">
            <div class="col-xs-3 col-xs-offset-1">_STRINGA40_  </div>
            <div class="col-xs-8"><xsl:value-of select="myfunc:datezConvert(timeStampDate)"/></div>
            </div>

            <br/>
            
            <div class="row">
            <div class="col-xs-3 col-xs-offset-1">_STRINGA41_  </div>
            <div class="col-xs-8"> <font face="courier" size="2"><xsl:value-of select="timeStampImprint"/> </font></div>
            </div>
            

            
               <div class="row">

                <div class="col-xs-3 col-xs-offset-1">_STRINGA42_</div>
                <div class="col-xs-8">
                <xsl:value-of select="issuer/CN"/>,
                <xsl:value-of select="issuer/O"/>,<br></br>
                <xsl:value-of select="issuer/OU"/>,<br></br>
                <xsl:value-of select="issuer/SER"/>,
                <xsl:value-of select="issuer/C"/>
                </div>
                </div>

                
                        <xsl:if test="notQualifiedService">
                	        <div class="row">
        <div class="col-xs-3  col-xs-offset-1">_STRINGA43_</div>
        <div class="col-xs-8">_STRINGA44_
	    </div>
        </div>



        </xsl:if>
                <xsl:if test="qualifiedService">
        <div class="row">
        <div class="col-xs-3  col-xs-offset-1">_STRINGA45_</div>
        <div class="col-xs-8">_STRINGA46_
	    </div>
        </div> 
        </xsl:if>

<hr/>
                <br/>

</xsl:template>

</xsl:stylesheet> 
